BaroclineBarocline
PropertyProperty

getAddressPropertyData_1

Returns ground property data for a specified address.

GET
/v3/property/address/{address}

Path Parameters

address*string

The requested address (e.g. 1 Washington St, Dover, NH 03820).

Query Parameters

accuracy?number

Optional threshold for returning multiple matches; 0-1 where 1 is closest match.

Formatdouble
format?string

The response output format: json (default) or csv.

Default"json"
Value in"json" | "csv"
userKey*string

The user key.

Response Body

application/json

curl -X GET "https://api.atheniumanalytics.com/property/v3/property/address/string?userKey=string"
{
  "searchType": "ADDRESS",
  "searchValue": "string",
  "searchStatus": "string",
  "properties": [
    {
      "propertyAddressFull": "string",
      "propertyAddressStreet": "string",
      "propertyAddressCity": "string",
      "propertyAddressState": "string",
      "propertyAddressStreetNumber": "string",
      "propertyAddressStreetNumberHigh": "string",
      "propertyAddressStreetName": "string",
      "propertyAddressStreetSuffix": "string",
      "propertyAddressStreetDirection": "string",
      "propertyAddressStreetQuadrant": "string",
      "propertyAddressPrefix": "string",
      "propertyAddressPrefixType": "string",
      "propertyAddressZip": "string",
      "propertySitusStateCountyFIPS": "string",
      "propertyGeoQuality": "string",
      "propertyLatitude": 0.1,
      "propertyLongitude": 0.1,
      "propertyFireStationDistance": 0.1,
      "propertyZonedCodeLocal": "string",
      "propertyUseGroup": "string",
      "propertyUseStandardized": "string",
      "propertyTaxYearAssessed": 0,
      "propertyTaxAssessedValueTotal": 0,
      "propertyTaxAssessedValueImprovements": 0,
      "propertyTaxAssessedValueLand": 0,
      "propertyPreviousAssessedValue": 0,
      "propertyTaxMarketValueTotal": 0,
      "propertyDeedLastSaleDate": "string",
      "propertyDeedLastSalePrice": 0,
      "propertyPropertiesPerParcel": 0,
      "propertyAreaBuilding": 0,
      "propertyAreaBuildingDefinitionCode": "string",
      "propertyAreaGross": 0,
      "propertyArea1stFloor": 0,
      "propertyArea2ndFloor": 0,
      "propertyAreaUpperFloors": 0,
      "propertyAreaLotAcres": 0.1,
      "propertyAreaLotSqFt": 0.1,
      "propertyAreaLotWidth": 0,
      "propertyAreaLotDepth": 0,
      "propertyStoriesCount": 0,
      "propertyRoofConstruction": "string",
      "propertyRoofMaterial": "string",
      "propertyRoofAreaSqFt": 0,
      "propertyRoofReplacementCostMin": 0,
      "propertyRoofReplacementCostMax": 0,
      "propertyRoofReplacementCost": 0,
      "propertyWindowsReplacementCostMin": 0,
      "propertyWindowsReplacementCostMax": 0,
      "propertyWindowsReplacementCost": 0,
      "propertyReplacementCost": 0,
      "propertySubclassReplacementCost": 0,
      "propertyYearBuilt": 0,
      "propertyYearBuiltEffective": 0,
      "propertyConstruction": "string",
      "propertyConstructionImputedFlag": true,
      "propertyHeatingSource": "string",
      "propertyCoolingType": "string",
      "propertyGarageType": "string",
      "propertyGarageSubclassReplacementCost": 0,
      "propertyGarageReplacementCostMin": 0,
      "propertyGarageReplacementCostMax": 0,
      "propertyExteriorWallType": "string"
    }
  ]
}